QwtLinearScaleEngine(3)

NAME
QwtLinearScaleEngine -

SYNOPSIS

#include <qwt_scale_engine.h>

Inherits QwtScaleEngine.

  Public Member Functions
virtual void autoScale (int maxSteps, double &x1, double &x2, double &stepSize) const
virtual QwtScaleDiv divideScale (double x1, double x2, int numMajorSteps, int numMinorSteps, double stepSize=0.0) const
virtual QwtScaleTransformation * transformation () const

  Protected Member Functions
QwtDoubleInterval align (const QwtDoubleInterval &, double stepSize) const

  Additional Inherited Members

Detailed Description

A scale engine for linear scales. The step size will fit into the pattern $re n is an integer.

Member Function Documentation

  QwtDoubleInterval QwtLinearScaleEngine::align (const QwtDoubleInterval &interval, doublestepSize) const [protected]

Align an interval to a step size. The limits of an interval are aligned that both are integer multiples of the step size.

Parameters:
    interval Interval
    stepSize Step size

Returns:
    Aligned interval

  void QwtLinearScaleEngine::autoScale (intmaxNumSteps, double &x1, double &x2, double &stepSize) const [virtual]
Align and divide an interval

Parameters:
    maxNumSteps Max. number of steps
    x1 First limit of the interval (In/Out)
    x2 Second limit of the interval (In/Out)
    stepSize Step size (Out)

See also:
    setAttribute()

Implements QwtScaleEngine.

  QwtScaleDiv QwtLinearScaleEngine::divideScale (doublex1, doublex2, intmaxMajSteps, intmaxMinSteps, doublestepSize = 0.0) const [virtual]

Calculate a scale division. Parameters:
    x1 First interval limit
    x2 Second interval limit
    maxMajSteps Maximum for the number of major steps
    maxMinSteps Maximum number of minor steps
    stepSize Step size. If stepSize == 0, the scaleEngine calculates one.

See also:
    QwtScaleEngine::stepSize(), QwtScaleEngine::subDivide()

Implements QwtScaleEngine.

  QwtScaleTransformation * QwtLinearScaleEngine::transformation () const [virtual]
Return a transformation, for linear scales

Implements QwtScaleEngine.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.